# Action details

You can add or update actions through [Product model setup](/pim3/reference/product-model-setup.md) > [Business rules](/pim3/reference/product-model-setup/business-rules.md) > [Actions](/pim3/reference/product-model-setup/business-rules/business-rule-details/actions.md).

| Action                                 | Description                                                                                       |
| -------------------------------------- | ------------------------------------------------------------------------------------------------- |
| Create a task                          | Creates a user task with the entities that match the defined conditions for the action.           |
| Start AI translation                   | Will queue a background task that translates text using Struct AI assistant for entity.           |
| Start AI text generation               | Will queue a background task to generate text using the Struct AI assistant for entity.           |
| Archive entity                         | Archives entity when conditions are met.                                                          |
| Change workflow state for entity       | Changes workflow state for entity, when conditions are met.                                       |
| Un-archive entity                      | Un-archives entity, when conditions are met.                                                      |
| Calculate value                        | Calculates a value based on different attribute values and saves the result in another attribute. |
| Concatenate value                      | Concatenates values from different attributes and saves the result in another attribute.          |
| Copy attribute value                   | Copies an attribute value from another attribute on the same entity or from a parent.             |
| Trigger sub rule                       | Triggers a sub rule.                                                                              |
| Reset attribute value                  | Resets a specific attribute value.                                                                |
| Update attribute value                 | Updates a specific attribute value.                                                               |
| Throw error                            | Throws an error to the user, when conditions are met.                                             |
| Aggregate data from children to entity | Aggregates data from children to entity.                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/actions/action-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
